Bug 1283551 - Drop dracut-modules-growroot which are obsoleted by cloud-utils-growpart
Drop dracut-modules-growroot which are obsoleted by cloud-utils-growpart
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: guest-images (Show other bugs)
6.7
Unspecified Unspecified
unspecified Severity unspecified
: beta
: 6.8
Assigned To: Ryan Barry
Virtualization Bugs
:
Depends On: 1078517
Blocks: 1301844
  Show dependency treegraph
 
Reported: 2015-11-19 04:29 EST by Fabian Deutsch
Modified: 2016-02-29 13:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 13:16:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2015-11-19 04:29:18 EST
Description of problem:
According to bug 1064970 comment 5 cloud-utils-growpart provides everything that is needed to resize partitions on RHEL 7 guest images.
Thus dracut-modules-growroot can be dropped from the image.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Wei Shi 2015-12-01 09:16:07 EST
Seems we don't have rhel7 builds for dracut-modules-growroot and rhel-guest-image-7 never use dracut-modules-growroot before.

We could remove dracut-modules-growroot from our rhel-guest-image-6 builds, i tried that cloud-utils-growpart could take over everything.
Comment 2 Ryan Barry 2016-02-29 13:16:36 EST
cloud-utils-growpart does not expand the root filesystem on its own on EL6.

Dropping this package was tested, and prevents the filesystem from resizing correctly.

Note You need to log in before you can comment on or make changes to this bug.